<?php



$tdatatb_contas_desp = array();
$tdatatb_contas_desp[".searchableFields"] = array();
$tdatatb_contas_desp[".ShortName"] = "tb_contas_desp";
$tdatatb_contas_desp[".OwnerID"] = "";
$tdatatb_contas_desp[".OriginalTable"] = "tb_contas_desp";


$tdatatb_contas_desp[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_contas_desp[".originalPagesByType"] = $tdatatb_contas_desp[".pagesByType"];
$tdatatb_contas_desp[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_contas_desp[".originalPages"] = $tdatatb_contas_desp[".pages"];
$tdatatb_contas_desp[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_contas_desp[".originalDefaultPages"] = $tdatatb_contas_desp[".defaultPages"];

//	field labels
$fieldLabelstb_contas_desp = array();
$fieldToolTipstb_contas_desp = array();
$pageTitlestb_contas_desp = array();
$placeHolderstb_contas_desp = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_contas_desp["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_contas_desp["Portuguese(Brazil)"] = array();
	$placeHolderstb_contas_desp["Portuguese(Brazil)"] = array();
	$pageTitlestb_contas_desp["Portuguese(Brazil)"] = array();
	$fieldLabelstb_contas_desp["Portuguese(Brazil)"]["despID"] = "Desp ID";
	$fieldToolTipstb_contas_desp["Portuguese(Brazil)"]["despID"] = "";
	$placeHolderstb_contas_desp["Portuguese(Brazil)"]["despID"] = "";
	$fieldLabelstb_contas_desp["Portuguese(Brazil)"]["categoria"] = "Categoria";
	$fieldToolTipstb_contas_desp["Portuguese(Brazil)"]["categoria"] = "";
	$placeHolderstb_contas_desp["Portuguese(Brazil)"]["categoria"] = "";
	$fieldLabelstb_contas_desp["Portuguese(Brazil)"]["conta"] = "Conta";
	$fieldToolTipstb_contas_desp["Portuguese(Brazil)"]["conta"] = "";
	$placeHolderstb_contas_desp["Portuguese(Brazil)"]["conta"] = "";
	$fieldLabelstb_contas_desp["Portuguese(Brazil)"]["descricao"] = "Descricao";
	$fieldToolTipstb_contas_desp["Portuguese(Brazil)"]["descricao"] = "";
	$placeHolderstb_contas_desp["Portuguese(Brazil)"]["descricao"] = "";
	$fieldLabelstb_contas_desp["Portuguese(Brazil)"]["ativar"] = "Ativar";
	$fieldToolTipstb_contas_desp["Portuguese(Brazil)"]["ativar"] = "";
	$placeHolderstb_contas_desp["Portuguese(Brazil)"]["ativar"] = "";
	if (count($fieldToolTipstb_contas_desp["Portuguese(Brazil)"]))
		$tdatatb_contas_desp[".isUseToolTips"] = true;
}


	$tdatatb_contas_desp[".NCSearch"] = true;


	$tdatatb_contas_desp[".scrollGridBody"] = true;

$tdatatb_contas_desp[".shortTableName"] = "tb_contas_desp";
$tdatatb_contas_desp[".nSecOptions"] = 0;

$tdatatb_contas_desp[".mainTableOwnerID"] = "";
$tdatatb_contas_desp[".entityType"] = 0;

$tdatatb_contas_desp[".strOriginalTableName"] = "tb_contas_desp";

	



$tdatatb_contas_desp[".showAddInPopup"] = false;

$tdatatb_contas_desp[".showEditInPopup"] = false;

$tdatatb_contas_desp[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_contas_desp[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_contas_desp[".listAjax"] = false;
//	temporary
$tdatatb_contas_desp[".listAjax"] = false;

	$tdatatb_contas_desp[".audit"] = false;

	$tdatatb_contas_desp[".locking"] = false;


$pages = $tdatatb_contas_desp[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_contas_desp[".edit"] = true;
	$tdatatb_contas_desp[".afterEditAction"] = 0;
	$tdatatb_contas_desp[".closePopupAfterEdit"] = 1;
	$tdatatb_contas_desp[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_contas_desp[".add"] = true;
$tdatatb_contas_desp[".afterAddAction"] = 0;
$tdatatb_contas_desp[".closePopupAfterAdd"] = 1;
$tdatatb_contas_desp[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_contas_desp[".list"] = true;
}



$tdatatb_contas_desp[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_contas_desp[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_contas_desp[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_contas_desp[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_contas_desp[".printFriendly"] = true;
}



$tdatatb_contas_desp[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_contas_desp[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_contas_desp[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_contas_desp[".isUseAjaxSuggest"] = true;

$tdatatb_contas_desp[".rowHighlite"] = true;





$tdatatb_contas_desp[".ajaxCodeSnippetAdded"] = false;

$tdatatb_contas_desp[".buttonsAdded"] = false;

$tdatatb_contas_desp[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_contas_desp[".isUseTimeForSearch"] = false;


$tdatatb_contas_desp[".badgeColor"] = "00c2c5";


$tdatatb_contas_desp[".allSearchFields"] = array();
$tdatatb_contas_desp[".filterFields"] = array();
$tdatatb_contas_desp[".requiredSearchFields"] = array();

$tdatatb_contas_desp[".googleLikeFields"] = array();
$tdatatb_contas_desp[".googleLikeFields"][] = "despID";
$tdatatb_contas_desp[".googleLikeFields"][] = "categoria";
$tdatatb_contas_desp[".googleLikeFields"][] = "conta";
$tdatatb_contas_desp[".googleLikeFields"][] = "descricao";
$tdatatb_contas_desp[".googleLikeFields"][] = "ativar";



$tdatatb_contas_desp[".tableType"] = "list";

$tdatatb_contas_desp[".printerPageOrientation"] = 0;
$tdatatb_contas_desp[".nPrinterPageScale"] = 100;

$tdatatb_contas_desp[".nPrinterSplitRecords"] = 40;

$tdatatb_contas_desp[".geocodingEnabled"] = false;










$tdatatb_contas_desp[".pageSize"] = 20;

$tdatatb_contas_desp[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_contas_desp[".strOrderBy"] = $tstrOrderBy;

$tdatatb_contas_desp[".orderindexes"] = array();

$tdatatb_contas_desp[".sqlHead"] = "SELECT despID,  	categoria,  	conta,  	descricao,  	ativar";
$tdatatb_contas_desp[".sqlFrom"] = "FROM tb_contas_desp";
$tdatatb_contas_desp[".sqlWhereExpr"] = "";
$tdatatb_contas_desp[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_contas_desp[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_contas_desp[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_contas_desp[".highlightSearchResults"] = true;

$tableKeystb_contas_desp = array();
$tableKeystb_contas_desp[] = "despID";
$tdatatb_contas_desp[".Keys"] = $tableKeystb_contas_desp;


$tdatatb_contas_desp[".hideMobileList"] = array();




//	despID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "despID";
	$fdata["GoodName"] = "despID";
	$fdata["ownerTable"] = "tb_contas_desp";
	$fdata["Label"] = GetFieldLabel("tb_contas_desp","despID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "despID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "despID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_desp["despID"] = $fdata;
		$tdatatb_contas_desp[".searchableFields"][] = "despID";
//	categoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "categoria";
	$fdata["GoodName"] = "categoria";
	$fdata["ownerTable"] = "tb_contas_desp";
	$fdata["Label"] = GetFieldLabel("tb_contas_desp","categoria");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "categoria";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "categoria";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_desp["categoria"] = $fdata;
		$tdatatb_contas_desp[".searchableFields"][] = "categoria";
//	conta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "conta";
	$fdata["GoodName"] = "conta";
	$fdata["ownerTable"] = "tb_contas_desp";
	$fdata["Label"] = GetFieldLabel("tb_contas_desp","conta");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "conta";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "conta";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_desp["conta"] = $fdata;
		$tdatatb_contas_desp[".searchableFields"][] = "conta";
//	descricao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "descricao";
	$fdata["GoodName"] = "descricao";
	$fdata["ownerTable"] = "tb_contas_desp";
	$fdata["Label"] = GetFieldLabel("tb_contas_desp","descricao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "descricao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "descricao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=500";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_desp["descricao"] = $fdata;
		$tdatatb_contas_desp[".searchableFields"][] = "descricao";
//	ativar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "ativar";
	$fdata["GoodName"] = "ativar";
	$fdata["ownerTable"] = "tb_contas_desp";
	$fdata["Label"] = GetFieldLabel("tb_contas_desp","ativar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ativar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ativar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_contas_desp["ativar"] = $fdata;
		$tdatatb_contas_desp[".searchableFields"][] = "ativar";


$tables_data["tb_contas_desp"]=&$tdatatb_contas_desp;
$field_labels["tb_contas_desp"] = &$fieldLabelstb_contas_desp;
$fieldToolTips["tb_contas_desp"] = &$fieldToolTipstb_contas_desp;
$placeHolders["tb_contas_desp"] = &$placeHolderstb_contas_desp;
$page_titles["tb_contas_desp"] = &$pageTitlestb_contas_desp;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_contas_desp"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_contas_desp"] = array();



	
				$strOriginalDetailsTable="tb_categ_despesas";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_categ_despesas";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_categ_despesas";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_contas_desp"][0] = $masterParams;
				$masterTablesData["tb_contas_desp"][0]["masterKeys"] = array();
	$masterTablesData["tb_contas_desp"][0]["masterKeys"][]="catdespID";
				$masterTablesData["tb_contas_desp"][0]["detailKeys"] = array();
	$masterTablesData["tb_contas_desp"][0]["detailKeys"][]="categoria";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_contas_desp()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "despID,  	categoria,  	conta,  	descricao,  	ativar";
$proto0["m_strFrom"] = "FROM tb_contas_desp";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "despID",
	"m_strTable" => "tb_contas_desp",
	"m_srcTableName" => "tb_contas_desp"
));

$proto6["m_sql"] = "despID";
$proto6["m_srcTableName"] = "tb_contas_desp";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "categoria",
	"m_strTable" => "tb_contas_desp",
	"m_srcTableName" => "tb_contas_desp"
));

$proto8["m_sql"] = "categoria";
$proto8["m_srcTableName"] = "tb_contas_desp";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "conta",
	"m_strTable" => "tb_contas_desp",
	"m_srcTableName" => "tb_contas_desp"
));

$proto10["m_sql"] = "conta";
$proto10["m_srcTableName"] = "tb_contas_desp";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "descricao",
	"m_strTable" => "tb_contas_desp",
	"m_srcTableName" => "tb_contas_desp"
));

$proto12["m_sql"] = "descricao";
$proto12["m_srcTableName"] = "tb_contas_desp";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "ativar",
	"m_strTable" => "tb_contas_desp",
	"m_srcTableName" => "tb_contas_desp"
));

$proto14["m_sql"] = "ativar";
$proto14["m_srcTableName"] = "tb_contas_desp";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "tb_contas_desp";
$proto17["m_srcTableName"] = "tb_contas_desp";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "despID";
$proto17["m_columns"][] = "categoria";
$proto17["m_columns"][] = "conta";
$proto17["m_columns"][] = "descricao";
$proto17["m_columns"][] = "ativar";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "tb_contas_desp";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "tb_contas_desp";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_contas_desp";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_contas_desp = createSqlQuery_tb_contas_desp();


	
		;

					

$tdatatb_contas_desp[".sqlquery"] = $queryData_tb_contas_desp;

$tableEvents["tb_contas_desp"] = new eventsBase;
$tdatatb_contas_desp[".hasEvents"] = false;

?>